## GocLine

GocLine — Simple line.

## Properties

GOArrow * | end-arrow | Read / Write
GOArrow * | start-arrow | Read / Write
double | x0 | Read / Write
double | x1 | Read / Write
double | y0 | Read / Write
double | y1 | Read / Write

## Types and Values

| GocLine
typedef | GocLineClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocLine

## Implemented Interfaces

GocLine implements GOStyledObject.

## Description

GocLine implements simple line drawing in the canvas. The line can have arrows at the start and/or at the end.

## Functions

## Types and Values

### GocLine

    typedef struct _GocLine GocLine;

### GocLineClass

    typedef GocStyledItemClass GocLineClass;

## Property Details

### The `“end-arrow”` property

      “end-arrow”                GOArrow *

Arrow for line's end.

Owner: GocLine

Flags: Read / Write

### The `“start-arrow”` property

      “start-arrow”              GOArrow *

Arrow for line's start.

Owner: GocLine

Flags: Read / Write

### The `“x0”` property

      “x0”                       double

The line start x coordinate.

Owner: GocLine

Flags: Read / Write

Default value: 0

### The `“x1”` property

      “x1”                       double

The line end x coordinate.

Owner: GocLine

Flags: Read / Write

Default value: 0

### The `“y0”` property

      “y0”                       double

The line start y coordinate.

Owner: GocLine

Flags: Read / Write

Default value: 0

### The `“y1”` property

      “y1”                       double

The line end y coordinate.

Owner: GocLine

Flags: Read / Write

Default value: 0